<?php   
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Luzuk Premium
 */

?>
<?php 
	if( get_theme_mod('sec_footerseTmargin',true) ) {
		$sec_footerseTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_footerseTmargin')).';';
	}
	if( get_theme_mod('sec_footersebottommargin',true) ) {
		$sec_footersebottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_footersebottommargin')).';';
	}
	if( get_theme_mod('sec_footersecopacity',true) ) {
		$sec_footersecopacity = 'opacity:'.esc_attr(get_theme_mod('sec_footersecopacity')).';';
	}

	$fnewstitle = get_theme_mod('fnewstitle', 'Subscribe to Our Newsletter');
	$fshortcode = get_theme_mod('luzuk_fshortcode', 'Add your shortcode');
?>		

<footer class="footer-area" style="<?php echo esc_attr($sec_footerseTmargin); ?>" "<?php echo esc_attr($sec_footersebottommargin); ?>" "<?php echo esc_attr($sec_footersecopacity); ?>" id="footer">
	<div class="fborder"></div>
	<?php if(is_active_sidebar('luzuk-footer1') || is_active_sidebar('luzuk-footer2') ){ ?>
		<div class="top-area">
			<div class="container">
				<?php if($fnewstitle || $fshortcode ){ ?>
					<div class="newsletter">
						<div class="col-md-4">
							<h5><?php echo $fnewstitle;?></h5>
						</div>
						<div class="col-md-7">
							<?php echo do_shortcode($fshortcode);?> 
						</div>
						<div class="clearfix"></div>
					</div>
				<?php } ?>
				<div class="footer-block">
					<div class="row row-eq-height">
						<div class="clearfix"></div>
						<div class="s-footer col-lg-4 col-md-4 col-sm-6 single-footer-1">
							<div class="single-footer wow bounceInUp" data-wow-duration="1s" >
								<?php if(is_active_sidebar('luzuk-footer1')): 
									dynamic_sidebar('luzuk-footer1');
								endif;
								?>	
							</div>
						</div>
						<div class="s-footer col-lg-3 col-md-3 col-sm-6 single-footer-2">
							<div class="single-footer wow bounceInUp" data-wow-duration="1.5s" >
								<?php if(is_active_sidebar('luzuk-footer2')): 
									dynamic_sidebar('luzuk-footer2');
								endif;
								?>	
							</div>
						</div>
						<div class="s-footer col-lg-2 col-md-2 col-sm-6 single-footer-3">
							<div class="footer3" >
								<div class="single-footer wow bounceInUp" data-wow-duration="1.5s" >
									<?php if(is_active_sidebar('luzuk-footer3')): 
										dynamic_sidebar('luzuk-footer3');
									endif;
									?>	
								</div>
							</div>
						</div>
						<div class="s-footer col-lg-3 col-md-3 col-sm-6 single-footer-4">
							<div class="single-footer wow bounceInUp" data-wow-duration="1.5s" >
								<?php if(is_active_sidebar('luzuk-footer4')): 
									dynamic_sidebar('luzuk-footer4');
								endif;
								?>	
							</div>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>
				<div class="clearfix"></div>
			</div>
		</div>
		<div class="clearfix"></div>
	<?php } ?>

	<?php
		$footerlocation = get_theme_mod('footerlocation', '66 Broklym Street, USA');
		$footerphone = get_theme_mod('footerphone', '+91 749 6307 2509');
		$footeremail = get_theme_mod('footeremail', 'info@yourmail.com');
	?>

	<?php 
		if( get_theme_mod('sec_bottomareaTmargin',true) ) {
			$sec_bottomareaTmargin = 'padding-top:'.esc_attr(get_theme_mod('sec_bottomareaTmargin')).';';
		}
		if( get_theme_mod('sec_bottomareabottommargin',true) ) {
			$sec_bottomareabottommargin = 'padding-bottom:'.esc_attr(get_theme_mod('sec_bottomareabottommargin')).';';
		}
	?>		

	<?php 
		// Prevent direct access
		if ( ! defined( 'ABSPATH' ) ) {
			exit; // Exit if accessed directly
		}

		$footercopyright = '';
		if (function_exists('custom_theme_copyright')) {
			$footercopyright = custom_theme_copyright();
		}
 
	?>

	
	<!-- <div class="container"> -->
		<div class="col-lg-12 col-md-12 col-sm-12 pd-0">
			<div class="bottom-area wow bounceInUp" style="<?php echo esc_attr($sec_bottomareaTmargin); ?>" "<?php echo esc_attr($sec_bottomareabottommargin); ?>">
				<div class="container">
					<div class="footer-block">
						<div class="col-md-8 ">
							<div class="f-contact ">
								<?php if($footerlocation){ ?>
								<div class="col-md-4 col-sm-4 f-contact-inn ">
									<div class="col-md-2 col-sm-2 col-xs-2">
										<i class="fa fa-map-marker"></i>
									</div>
									<div class="col-md-10 col-sm-10 col-xs-10 pd-0">	
										<?php echo $footerlocation;?>
									</div>
									<div class="clearfix"></div>
								</div>
								<?php } ?>

								<?php if($footerphone){ ?>
								<div class="col-md-4 col-sm-4 f-contact-inn ">
									<a href="tel:<?php echo $footerphone;?>">
										<div class="col-md-2 col-sm-2 col-xs-2">
											<i class="fa fa-phone"></i>
										</div>
										<div class="col-md-10 col-sm-10 col-xs-10 pd-0">	
											<?php echo $footerphone;?>
										</div>
									</a>
									<div class="clearfix"></div>
								</div>
								<?php } ?>

								<?php if($footeremail){ ?>
								<div class="col-md-4 col-sm-4 f-contact-inn ">
									<a href="mailto:<?php echo $footeremail;?>">
										<div class="col-md-2 col-sm-2 col-xs-2">
											<i class="fa fa-envelope-o"></i>
										</div>
										<div class="col-md-10 col-sm-10 col-xs-10 pd-0">	
											<?php echo $footeremail;?>
										</div>
									</a>
									<div class="clearfix"></div>
								</div>
								<?php } ?>

							</div>
							<div class="clearfix"></div>
						</div>
						<div class="col-md-4 ">
							<?php if($footercopyright){ ?>
							<div class="footer-text">
								<?php echo $footercopyright;?>
							</div>
							<?php } ?>
						</div>
						<div class="clearfix"></div>
					</div>
				</div>
			</div>
		</div>
	<!-- </div> -->
	<div class="clearfix"></div>
</footer><!-- #colophon -->
<script>
        jQuery.noConflict();          
    $(document).ready(function(){
        $("#formButton").click(function(){
            $("#form1").toggle();
        });
    });
</script>

<script type="text/javascript">
	if(jQuery(window).width() >= 1170){
		new WOW().init();
	}
</script>
<script>
	$(window).scroll(function() {
		var height = $(window).scrollTop();
		if (height > 100) {
			$('#back2Top').fadeIn();
		} else {
			$('#back2Top').fadeOut();
		}
	});
	$(document).ready(function() {
		$("#back2Top").click(function(event) {
			event.preventDefault();
			$("html, body").animate({ scrollTop: 0 }, "slow");
			return false;
		});

	});
</script>

<?php wp_footer(); ?>
<a id="back2Top" title="Back to top" href="#"> &#10148; </a>
</body>
</html>
